package com.cst;

import lombok.extern.slf4j.Slf4j;
import com.alibaba.fastjson.JSONObject;

import java.util.Arrays;
import java.util.List;

/**
 * Author: 李中华  wx: spllzh  email(qq): 28668817@qq.com
 * Date: 2025/9/3 11:57
 **/
@Slf4j
public class TT {
    public static void main(String[] args) {
        int i = 0;
        try {
            afd();
          //  float ff = 5 / i;
           // System.out.println("hello world -------- " + ff);
        } catch (Exception e) {
            log.error("error", e);
            throw new RuntimeException(e);

        }


    }
    public static final String statTime = "statTime";
    public static final String endTime = "endTime";

    static  void afd(){
        String paramJson ="{\n" +
                "\"statTime\": \"2025-09-03 00:00:00\",\n" +
                "\"endTime\": \"2025-09-03 23:59:59\"\n" +
                "}\n";
        JSONObject paramJsonObj = JSONObject.parseObject(paramJson);
        // 由于缺少ConstantStr类和其他变量的定义，这里只是注释掉代码
         if (null != paramJsonObj ) {
             String v1 = paramJsonObj.getString("statTime");
             String v2 = paramJsonObj.getString("endTime");
             boolean v3 = paramJsonObj.getBoolean("retry");
         }

    }
}
